//  $Id: sign_extend_1632.v,v 1.1.1.1 2007/04/20 23:07:48 vickery Exp $
/*  Sign-extend 16 bits to 32 bits.
 *  C. Vickery
 *  April, 2007
 *
 *  $Log: sign_extend_1632.v,v $
 *  Revision 1.1.1.1  2007/04/20 23:07:48  vickery
 *  Initial version
 *
 */
module sign_extend_1632(out, in);
input [15:0]  in;
output [31:0] out;
wire [31:0]   out;

  assign out = {(in[15] ? 16'hFFFF : 16'h0000), in};

endmodule
